---
lang: en
title: 'API docs: authentication-jwt.userrepository'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.userrepository.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [UserRepository](./authentication-jwt.userrepository.md)

## UserRepository class

**Signature:**

```typescript
export declare class UserRepository extends DefaultCrudRepository<User, typeof User.prototype.id, UserRelations> 
```
**Extends:** DefaultCrudRepository&lt;[User](./authentication-jwt.user.md)<!-- -->, typeof [User.prototype.id](./authentication-jwt.user.id.md)<!-- -->, [UserRelations](./authentication-jwt.userrelations.md)<!-- -->&gt;

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(dataSource, userCredentialsRepositoryGetter)](./authentication-jwt.userrepository._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `UserRepository` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[userCredentials](./authentication-jwt.userrepository.usercredentials.md)


</td><td>

`readonly`


</td><td>

HasOneRepositoryFactory&lt;[UserCredentials](./authentication-jwt.usercredentials.md)<!-- -->, typeof [User.prototype.id](./authentication-jwt.user.id.md)<!-- -->&gt;


</td><td>


</td></tr>
<tr><td>

[userCredentialsRepositoryGetter](./authentication-jwt.userrepository.usercredentialsrepositorygetter.md)


</td><td>

`protected`


</td><td>

Getter&lt;[UserCredentialsRepository](./authentication-jwt.usercredentialsrepository.md)<!-- -->&gt;


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[findCredentials(userId)](./authentication-jwt.userrepository.findcredentials.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


